# Manual d'usuari del KDE

&Lauri.Watts; &Lauri.Watts.mail;
June 07, 2005
K Desktop Environment
kate
1

# `kate`

Editor avançat de text per a &kde;

    kate -s, --start  nom  -u, --use -p, --pid pid -e, --encoding  nom -l, --line  línia -c, --column  columna -i, --stdin Opcions genèriques del KDE Opcions genèriques de Qt

## Descripció

&kate; és l'editor avançat de text del &kde;.

&kate; també proveeix la part editora a vàries aplicacions, sota el nom &kwrite;.

Algunes de les característiques de &kate; inclouen la configurabilitat del ressaltat de la sintaxi per ordenar llenguatges com C i C++, HTML o scripts de bash, l'habilitat de crear i mantenir projectes, una interfície de múltiples documents (MDI), i un emulador de terminal contingut a dins seu.

Però &kate; és molt més que un editor per a programadors. La seva capacitat d'obrir diversos fitxers simultàniament és ideal per editar molts fitxers de configuració de &UNIX;. Aquest document s'ha escrit en el &kate;.

## Opcions

`-s`, `--start` nom

  Inicia el &kate; amb una sessió indicada.

`-u, --use`

  Usa una instància de &kate; que ja s'està executant.

`-p, --pid` pid

  Tan sols intenta usar uns instància de &kate;amb aquest pid

`-e, --encoding` nom

  Estableix la codificació del fitxer a obrir

  La podeu usar per a forçar l'obrir un fitxer en el format utf-8, per exemple. (L'ordre `iconv -l` proveeix una llista de codificacions, la qual us pot resultar d'ajuda).

`-l, --line` línia

  Navega fins aquesta línia

`-c, --column` columna

  Navega fins aquesta columna

`-i, --stdin`

  Llegeix el contingut de `stdin`

## Veure també

Hi ha disponible documentació d'usuari més detallada des de help:/kate (entreu aquesta URL al &konqueror; o executeu ``khelpcenter` `help:/kate``).

També hi ha més informació disponible al lloc web de &kate;.

## Exemples

Per obrir un fitxer anomenat `source.cpp` a la columna 15, línia 25, en una finestra existent de &kate;, haureu d'usar:

    kate -c 15 -l
    25 -u source.cpp

Si teniu activa una connexió a la Internet, podeu gaudir de l'avantatge de la transparència a xarxa del &kde; per obrir un fitxer des d'un lloc de ftp. Si no disposeu de permisos d'escriptura sobre el servidor remot,el fitxer tan sols serà obert i se us demanarà per un nom de fitxer local i desar així els vostres canvis. Si teniu permís d'escriptura, els canvis seran desats amb transparència sobre la xarxa.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Autors

El mantenidor de &kate; és en &Christoph.Cullmann; &Christoph.Cullmann.mail;. Està disponible una llista exhaustiva d'autors i col·laboradors en el manual complet d'usuari mencionat anteriorment.